Closed Bug 15003 Opened 20 years ago Closed 20 years ago

GetFolder: Installation fails to target directory "Current User"

Categories

(Core Graveyard :: Installer: XPInstall Engine, defect, P3)

All
Windows NT
defect

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: jimmykenlee, Assigned: ssu0262)

Details

Build: 10/24/99 SeaMonkey build

1. From http://jimbob/trigger2.html, click drop-down button and select
   a_getfolder_2_currentuser and click Trigger case button

Install.StartInstall("Acceptance: a_getfolder_2_currentuser", regName, vi, 0);
f = Install.GetFolder("Current User", "getfolder_2_currentuser");
err = Install.AddSubcomponent(regName, jarSrc, f, jarSrc);
Install.LogComment("AddSubcomponent returns = " + err);

RESULT:
Installation fails.  For Macintosh, the installation behaves as expected.

For WinNT, the Install.log shows the following:

---------------------------------------------------------------------------
http://jimbob/jars/a_getfolder_2_currentuser.jar     --     09/27/1999 12:03:22
---------------------------------------------------------------------------

Acceptance: a_getfolder_2_currentuser


** ERROR (-3): Installing: C:\Program Files\moz924\x86rel\00000023C:\Program
Files\Users50\mozProfile\getfolder_2_currentuser\smrtupdt.txt
** AddSubcomponent returns = -3

     Install script aborted
     Finished Installation  09/27/1999 12:03:22

For Linux, the Install.log shows the following:

---------------------------------------------------------------------------
http://jimbob/jars/a_getfolder_2_currentuser.jar     --     09/27/1999 12:10:49
---------------------------------------------------------------------------

Acceptance: a_getfolder_2_currentuser

** AddSubcomponent returns = 0
     Item [1/1]	Installing:
/u/jimmylee/linux60/sep_24/package/0000001f/u/jimmylee/.mozilla/mozProfile/getfo
lder_2_currentuser/smrtupdt.txt
     Install completed successfully
     Finished Installation  09/27/1999 12:10:50

EXPECTED RESULT:
Installs file to the profile directory with no errors reported from Install.log.
The result for Linux does not seem correct.  The path should be
/u/jimmylee/.mozilla/mozProfile/getfolder_2_currentuser/smrtupdt.txt
Assignee: cathleen → ssu
Status: NEW → RESOLVED
Closed: 20 years ago
Resolution: --- → FIXED
this is working now.  Might have been fixed by other bugs being fixed.
Marking this fixed.
Status: RESOLVED → VERIFIED
Build  1999-10-22-09-M11(WIN), 1999-10-22-08-M11(MAC), 1999-10-22-08-M11(LINUX)

Looks like normal.
Bulk move of XPInstall (component to be deleted) bugs to Installer: XPInstall
Engine
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.